[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: different OpenLDAP versions (ITS#946)

If you want to have multiple installs of OpenLDAP, each must
be placed under a separate prefix (see --prefix option to
configure) to avoid clashing.  This obviously require building
OpenLDAP from the sources.


At 05:38 PM 1/4/01 +0000, lrh@alum.mit.edu wrote:
>Full_Name: Dr. Lyman Hazelton
>Version: 1.2.11-15 -AND- 2.0.6-1
>OS: Redhat Linux 7.0
>URL: ftp://ftp.openldap.org/incoming/
>Submission from: (NULL) (
>The install version of OpenLDAP on the Redhat 7.0 release is OpenLDAP-1.2.11-15
>the system ran fine with it.  I decided to install the Balsa mail client
>(balsa-1.0.1-1), and it required OpenLDAP-2.0.6-1.  I upgraded my system to the
>version of OpenLDAP and successfully installed the Balsa mail client.  Balsa
>fine with this, BUT the sendmail daemon (which, as you know, is used by a lot
>system programs and daemons to report trouble) is now broken and whining about
>requiring the OLD version of OpenLDAP.  Can I install both versions at once to
>my system operate, or is there another fix that I need to apply?  I really like
>Balsa, but the messages sent by the system through sendmail are essential if I
>am to
>maintain my system.  Any assistance will be deeply appreciated.  Thank you for
>time and consideration.
>       -Lyman